Page 2 of 4 FirstFirst 1234 LastLast
Results 11 to 20 of 37

Thread: What has happened to Metasploit???

  1. #11
    Just burned his ISO
    Join Date
    Jan 2010
    Posts
    20

    Default Re: What has happened to Metasploit???

    Just thought I'd give you a heads up on my progress with this bug......
    The guys here at Backtrack-linux have fixed the gnome 64 bit version of metasploit, but the kde 32 bit version remains broken.

    I needed to have 32 bit versoin working so I re installed and just updated metasploit via msfupdate and declined the upgrade from the repository and I will continue to do this until someone reports it fixed.

    Hope this helps

  2. #12
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    2

    Lightbulb Re: What has happened to Metasploit???

    Hi guys, i've already posted the solution to this, but since it's relevant, here it goes:
    but first why this has happened:when trying to update, framework3 screws with your existing postgres instalation giving a binding error and then saying the server is started but actually isn't.
    so, you just have to remove framework3 and postgres from the system (maybe it's best with aptitude --purge remove framework3) reboot, download the framework3-source (easier with synaptic if you want to) edit the main.sh from /var/backtrack/sources/framework3/3.7.1/bt0/upstream-sources/ (scroll down until you see the lines starting with cp and replace everything between -r and $ffile with "/var/backtrack/sources/framework3/3.7.1/bt0/upstream-sources/" {replace all cp lines like that}) run main.sh, then do ./framework-32.bin or ./framework-64.bin if you're on x64
    and you're done.

  3. #13
    Just burned his ISO
    Join Date
    May 2011
    Posts
    14

    Default Re: What has happened to Metasploit???

    Has this been fixed? Is it safe to update from dist-upgrade?

  4. #14
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    1

    Default Re: What has happened to Metasploit???

    Anyone got updates on this? Have tried many reinstall's of backtrack but still won't work on 32 bit GNOME. I don't want to keep having to dist-upgrade etc. So does anyone know when this issue will be addressed?

  5. #15
    Good friend of the forums scottm99's Avatar
    Join Date
    Feb 2010
    Location
    underwater
    Posts
    371

    Default Re: What has happened to Metasploit???

    I'm running the 3.7.2-release version of metasploit (rev 13004) updated on 6/22. I can confirm works good using the 32-bit gnome virtual machine install of BT5. I'm using the default instance of postgresql for the database connectivity.
    If I could figure out how to scuba dive & hack at the same time, there would be nothing I couldn't do...

  6. #16
    Just burned his ISO
    Join Date
    May 2011
    Posts
    14

    Default Re: What has happened to Metasploit???

    I just ran an update (to 3.7.2) and still got this error.:

    There has been an error.
    Error running su postgres -c '"/opt/framework3/postgresql/bin/psql" -c "ALTER USER postgres PASSWORD '\''56b542a7'\''" ' : psql.bin: could not connect to server: Connection refused
    Is the server running on host "localhost" and accepting
    TCP/IP connections on port 7175?
    could not connect to server: Connection refused
    Is the server running on host "localhost" and accepting
    TCP/IP connections on port 7175?
    cp: cannot create directory `/opt/framework3/ruby/lib/ruby/gems/1.9.1/gems/': No such file or directory
    Building native extensions. This could take a while...
    Successfully installed mysql-2.8.1
    1 gem installed
    Installing ri documentation for mysql-2.8.1...
    Installing RDoc documentation for mysql-2.8.1...
    cp: cannot create directory `/opt/framework3/ruby/lib/ruby/gems/1.9.1/gems/': No such file or directory
    mv: cannot move `/usr/src/IMPORTANT-README' to `/pentest/exploits/framework3/': Not a directory
    dpkg: error processing framework3 (--configure):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    framework3
    E: Sub-process /usr/bin/dpkg returned an error code (1)


    What seems strange is that the installer is giving a message that it is stopping postgresql.
    Then, it gives this error that it can't connect.
    It must be that the installer is either stopping the service when it shouldn't, or is failing to start it again.
    I tried to totally purge framework 3 from the /opt/framework3 folder, but the installer still will not work because then the postgresql service is not running.

    Any ideas? Now I'm off to reinstall, again.

  7. #17
    Just burned his ISO
    Join Date
    Jan 2007
    Posts
    14

    Default Re: What has happened to Metasploit???

    I am still having this issue. I'm using 64bit gnome. I had it working on 3.7.1 and i did an upgrade today that broke it with [QUOTE]Setting up framework3 (3.7.2-bt0) ...
    chmod: cannot access `framework-64.bin': No such file or directory
    /var/lib/dpkg/info/framework3.postinst: line 11: ./framework-64.bin: No such file or directory
    cp: cannot stat `mysql-2.8.1': No such file or directory
    Building native extensions. This could take a while...
    Successfully installed mysql-2.8.1
    1 gem installed
    Installing ri documentation for mysql-2.8.1...
    Installing RDoc documentation for mysql-2.8.1...
    cp: cannot create directory `/opt/framework3/ruby/lib/ruby/gems/1.9.1/gems/': No such file or directory
    mv: cannot move `/usr/src/IMPORTANT-README' to `/pentest/exploits/framework3/': Not a directory
    dpkg: error processing framework3 (--configure):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    framework3
    E: Sub-process /usr/bin/dpkg returned an error code (1)[/QOUTE]

  8. #18
    Member muminrz's Avatar
    Join Date
    Jan 2010
    Posts
    64

    Default Re: What has happened to Metasploit???

    Hey guys
    Can anyone explain what is wrong with
    ./msfconsole
    output
    /pentest/exploits/framework3/lib/msf/core/module_manager.rb:491:in `initialize': Not a directory - /opt/framework3/msf3/modules/encoders/mipsbe/longxor.rb (Errno::ENOTDIR)
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:491:in `new'
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:491:in `block (3 levels) in set_module_cache_file'
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:490:in `each'
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:490:in `block (2 levels) in set_module_cache_file'
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:476:in `each_key'
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:476:in `block in set_module_cache_file'
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:473:in `each'
    from /pentest/exploits/framework3/lib/msf/core/module_manager.rb:473:in `set_module_cache_file'
    from /pentest/exploits/framework3/lib/msf/base/simple/framework.rb:107:in `simplify'
    from /pentest/exploits/framework3/lib/msf/base/simple/framework.rb:71:in `create'
    from /pentest/exploits/framework3/lib/msf/ui/console/driver.rb:85:in `initialize'
    from ./msfconsole:130:in `new'
    from ./msfconsole:130:in `<main>'
    running (BT5 KDE32)

    Thanks

  9. #19
    Member muminrz's Avatar
    Join Date
    Jan 2010
    Posts
    64

    Default Re: What has happened to Metasploit???

    Nevermind found a solution completly remove and reinstall

  10. #20
    Just burned his ISO
    Join Date
    Jul 2011
    Posts
    4

    Default Re: What has happened to Metasploit???

    Quote Originally Posted by Archangel-Amael View Post
    We are aware of the issue and are working to get it fixed. In the mean time please be patient.
    Once it is fixed you will know.
    See also the bug tracker.
    Redmine
    It appears Muts keeps closing this issue, but I can confirm it's still very much active....at least on my system anyway. I am running the 32 KDE version.

    Can someone please post a full workaround for the uninitiated? I believe trezx has said he has solved this, but all my attempts to do this using SVN have failed so far after a lot of Googling.

    Re: What has happened to Metasploit???
    Just thought I'd give you a heads up on my progress with this bug......
    The guys here at Backtrack-linux have fixed the gnome 64 bit version of metasploit, but the kde 32 bit version remains broken.

    I needed to have 32 bit versoin working so I re installed and just updated metasploit via msfupdate and declined the upgrade from the repository and I will continue to do this until someone reports it fixed.

    Hope this helps
    What is the command to do this?

Page 2 of 4 FirstFirst 1234 LastLast

Similar Threads

  1. What happened to OpenVAS
    By WhistleMaster in forum BackTrack 5 Beginners Section
    Replies: 3
    Last Post: 05-22-2011, 11:10 AM
  2. what happened to Grub Menu in BT4 R1?
    By algemy in forum Beginners Forum
    Replies: 0
    Last Post: 09-28-2010, 09:03 PM
  3. What happened to BT???
    By gLi7cha in forum Beginners Forum
    Replies: 8
    Last Post: 08-10-2010, 01:07 PM
  4. What happened to wicrawl?
    By cmjohnson in forum OLD Newbie Area
    Replies: 1
    Last Post: 08-12-2009, 03:13 PM
  5. What happened to my sound
    By johnchain in forum OLD BackTrack v2.0 Final
    Replies: 7
    Last Post: 09-02-2007, 04:58 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •